.rd-profile {
  background-color: rgb(24 33 41);
  color: #c4cfde;
  position: relative;
  overflow: hidden;
}

.rd-profile-content {
  width: 100%;
  text-align: left;
}

.rd-profile > * {
  position: relative;
  z-index: 1;
}

.rd-profile-card {
  padding: 14px;
  background: rgba(52, 58, 64, 1);
  transform: translateY(-8px);
  box-shadow:
    0 20px 50px rgba(0, 0, 0, 0.45),
    inset 0 0 0 1px rgba(255, 255, 255, 0.03);
  border: 1px solid rgba(50, 127, 250, 0.18);
  border-radius: 12px;
  backdrop-filter: blur(14px);
}

.rd-profile-header {
  min-height: 140px;
  border-radius: 10px;
  overflow: hidden;
  z-index: 1;
}

.rd-profile-avatar {
  margin-top: -105px !important;
  position: relative;
  display: flex;
  justify-content: center;
  margin-bottom: 24px;
  z-index: 10;
}

.rd-profile-avatar img {
  width: 180px !important;
  height: 180px !important;
  border-radius: 50%;
  object-fit: cover;
  box-shadow:
    -14px 12px 0 rgba(28, 25, 20, 0.8),
    0 20px 30px rgba(0, 0, 0, 0.4);
  border: 2px solid rgba(255, 255, 255, 0.08);
}

.rd-profile-name,
.rd-profile-name * {
  letter-spacing: 1.5px;
  margin-bottom: 8px !important;
  color: #327ffa;
}

.rd-profile-role {
  display: block;
  margin: 0 auto 15px !important;
  width: 0;
  overflow: hidden;
  white-space: nowrap;
  text-align: left;
  border-right: 2px solid #327ffa;
  animation:
    typing 6s steps(56, end) infinite,
    blink-cursor .75s step-end infinite;
}

.rd-profile-role * {
  display: inline !important;
  width: auto !important;
  max-width: 100% !important;
  border: none !important;
  animation: none !important;
  margin: 0 !important;
  padding: 0 !important;
}

@keyframes typing {
  0% {
    width: 0;
  }

  45% {
    width: 56ch;
  }

  70% {
    width: 56ch;
  }

  100% {
    width: 0;
  }
}

@keyframes blink-cursor {
  0%,100% {
    border-color: transparent;
  }

  50% {
    border-color: #327ffa;
  }
}